# Xapian::Stopper Class Reference

Base class for stop-word decision functor. More...

Inheritance diagram for Xapian::Stopper:

[legend]
List of all members.

## Public Member Functions

virtual bool | operator() (const std::string &term) const =0
| Is term a stop-word?
virtual | ~Stopper ()
| Class has virtual methods, so provide a virtual destructor.
virtual std::string | get_description () const
| Return a string describing this object.

## Detailed Description

Base class for stop-word decision functor.

## Constructor & Destructor Documentation

virtual Xapian::Stopper::~Stopper | ( |  | ) | `[inline, virtual]`

Class has virtual methods, so provide a virtual destructor.

## Member Function Documentation

virtual bool Xapian::Stopper::operator() | ( | const std::string & | term | ) | const`[pure virtual]`

Is term a stop-word?

Implemented in Xapian::SimpleStopper.

virtual std::string Xapian::Stopper::get_description | ( |  | ) | const`[virtual]`

Return a string describing this object.

Reimplemented in Xapian::SimpleStopper.

The documentation for this class was generated from the following file:

- xapian/queryparser.h